## IdeDebuggerRegister IdeDebuggerRegister |

## Functions

gint | ide_debugger_register_compare ()
IdeDebuggerRegister * | ide_debugger_register_new ()
const gchar * | ide_debugger_register_get_id ()
const gchar * | ide_debugger_register_get_name ()
void | ide_debugger_register_set_name ()
const gchar * | ide_debugger_register_get_value ()
void | ide_debugger_register_set_value ()

## Properties

gchar * | id | Read / Write / Construct Only
gchar * | name | Read / Write
gchar * | value | Read / Write

## Types and Values

#define | IDE_TYPE_DEBUGGER_REGISTER
struct | IdeDebuggerRegisterClass
| IdeDebuggerRegister

## Object Hierarchy

        GObject
        ╰── IdeDebuggerRegister

## Description

## Functions

### ide_debugger_register_compare ()

    gint
    ide_debugger_register_compare (IdeDebuggerRegister *a,
                                   IdeDebuggerRegister *b);

### ide_debugger_register_new ()

    IdeDebuggerRegister *
    ide_debugger_register_new (const gchar *id);

### ide_debugger_register_get_id ()

    const gchar *
    ide_debugger_register_get_id (IdeDebuggerRegister *self);

### ide_debugger_register_get_name ()

    const gchar *
    ide_debugger_register_get_name (IdeDebuggerRegister *self);

### ide_debugger_register_set_name ()

    void
    ide_debugger_register_set_name (IdeDebuggerRegister *self,
                                    const gchar *name);

### ide_debugger_register_get_value ()

    const gchar *
    ide_debugger_register_get_value (IdeDebuggerRegister *self);

### ide_debugger_register_set_value ()

    void
    ide_debugger_register_set_value (IdeDebuggerRegister *self,
                                     const gchar *value);

## Types and Values

### IDE_TYPE_DEBUGGER_REGISTER

    #define IDE_TYPE_DEBUGGER_REGISTER (ide_debugger_register_get_type())

### struct IdeDebuggerRegisterClass

    struct IdeDebuggerRegisterClass {
      GObjectClass parent_class;
    };

### IdeDebuggerRegister

    typedef struct _IdeDebuggerRegister IdeDebuggerRegister;

## Property Details

### The `“id”` property

      “id”                       gchar *

Identifier.

Owner: IdeDebuggerRegister

Flags: Read / Write / Construct Only

Default value: NULL

### The `“name”` property

      “name”                     gchar *

Name.

Owner: IdeDebuggerRegister

Flags: Read / Write

Default value: NULL

### The `“value”` property

      “value”                    gchar *

Value.

Owner: IdeDebuggerRegister

Flags: Read / Write

Default value: NULL